curl --request POST \
--url https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}/transactions/{transaction_identifier}/split \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"transactions": {
"amount": 61.11,
"description": "Chevron Gas",
"category_guid": "CAT-b6d61a19-30a7-e852-2703-bdfb4072289e",
"memo": "Chips and Soda"
}
}
'import requests
url = "https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}/transactions/{transaction_identifier}/split"
payload = { "transactions": {
"amount": 61.11,
"description": "Chevron Gas",
"category_guid": "CAT-b6d61a19-30a7-e852-2703-bdfb4072289e",
"memo": "Chips and Soda"
} }
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Accept-Version': '<accept-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
transactions: {
amount: 61.11,
description: 'Chevron Gas',
category_guid: 'CAT-b6d61a19-30a7-e852-2703-bdfb4072289e',
memo: 'Chips and Soda'
}
})
};
fetch('https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}/transactions/{transaction_identifier}/split', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"transaction": {
"amount": 61.11,
"currency_code": "USD",
"date": "2024-12-20",
"description": "MX Technologies Payroll",
"guid": "TRN-429ad9fe-a1d2-4559-8590-885b2603f0e1",
"id": "1734681600000-178fa8095c154a55b9172f977b4c5f9a-0",
"self": "/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/transactions/TRN-429ad9fe-a1d2-4559-8590-885b2603f0e1",
"status": "POSTED",
"type": "CREDIT",
"account": {
"account_number_display": "3331261",
"subtype": "CHECKING",
"type": "CHECKING",
"guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"id": "1040434698",
"name": "Test account 2",
"nickname": "Swiss Account",
"self": "/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/accounts/ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
},
"member": {
"guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"id": "unique_id",
"metadata": "some metadata",
"name": "MX Bank",
"self": "/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/members/MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
},
"user": {
"guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c",
"id": "unique_id",
"metadata": "some metadata",
"self": "/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
},
"mx_record": {
"created_at": "2025-05-10T18:08:00Z",
"updated_at": "2026-02-12T22:48:21Z"
}
}
}
]
}Create split transactions by account
This endpoint creates two or more child transactions that are branched from a previous transaction. This endpoint allows you to link multiple categories, descriptions, and amounts to a parent transaction. When a split transaction is created, the parent transaction’s has_been_split field will automatically be updated to true and the child transactions’ parent_guid will have the transaction guid of the parent. The total amount of the child transactions must equal the amount of the parent transaction. Once a transaction has been split it can’t be split again. In order to re-split a transaction, it must first be un-split. This can be done by calling the Delete Split Transactions endpoint. Calling this endpoint will delete the existing child transactions and update the parent transaction’s has_been_split field to false. You can then re-split the parent transaction by calling Create Split Transaction again.
Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20260929"
Path Parameters
The unique id for a transaction.
Use either the user id you defined or the MX-defined user guid. See Assigning Resource IDs.
Use either the member id you defined or the MX-defined member guid. See Assigning Resource IDs.
Use either the account id you defined or the MX-defined account guid. See Assigning Resource IDs.
Use either the transaction id you defined or the MX-defined transaction guid. See Assigning Resource IDs.
Body
Hide child attributes
Hide child attributes
The amount of money you want to recategorize.
61.11
Description for the split transaction.
"Chevron Gas"
The unique identifier for the category.
"CAT-b6d61a19-30a7-e852-2703-bdfb4072289e"
Memo for the split transaction
"Chips and Soda"
Response
OK
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
The monetary amount of the transaction.
61.11
The three-character ISO 4217 currency code, for example, USD.
"USD"
The date on which the transaction took place. This is the field used when searching for transactions by date and is generally the same as transacted_at, but uses posted_at as a fallback.
"2024-12-20"
A human-readable description of the transaction.
"MX Technologies Payroll"
The unique identifier for the transaction. Defined by MX.
"TRN-429ad9fe-a1d2-4559-8590-885b2603f0e1"
The unique partner-defined identifier for the transaction.
"1734681600000-178fa8095c154a55b9172f977b4c5f9a-0"
The API URI path to access the transaction details.
"/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/transactions/TRN-429ad9fe-a1d2-4559-8590-885b2603f0e1"
The status of the transaction.
All transaction data on our systems represent what we get through our data feed which depends what institutions make available for aggregation. Many institutions do not provide data for pending transactions; transactions from those accounts always have a status of POSTED.
When we do receive data for pending transactions, a single transaction may be updated from PENDING to POSTED and keep the same guid. This is done through various matching methods performed automatically by MX.
If a single transaction can't be updated, the PENDING transaction will often be deleted and replaced with a new POSTED transaction (with a new guid) when it is sent to us; this is the most common scenario when pending data is available.
In unusual circumstances, there may be separate PENDING and POSTED transactions on MX systems for up to 14 days. All PENDING transactions are deleted after 14 days as a failsafe.
POSTED, PENDING "POSTED"
The type of transaction.
CREDIT, DEBIT "CREDIT"
The base fields for an account. Returned as the account companion on related resources such as transactions, statements, and rewards, and as the foundation of full account responses.
Hide child attributes
Hide child attributes
The account number associated with the account. This will typically be a masked or partial account number.
"3331261"
The type of account. Some account types may include subtypes. For a full list of account types and subtypes, see Account Types.
ANY, CASH, CHECKING, CHECKING_LINE_OF_CREDIT, CREDIT_CARD, LOAN, LINE_OF_CREDIT, SAVINGS, INVESTMENT, MORTGAGE, INSURANCE, PREPAID, PROPERTY "CHECKING"
Unique identifier for the account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The unique partner-defined identifier for the account.
"1040434698"
The human-readable name for the account.
"Test account 2"
An alternate name for the account.
"Swiss Account"
The API URI path for the account.
"/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/accounts/ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The base fields for a member, which is a user's connection to an institution. Returned as the member companion on related resources such as accounts and transactions, and as the foundation of full member responses.
Hide child attributes
Hide child attributes
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The unique partner-defined identifier for the member.
"unique_id"
Additional information you can store about the member.
"some metadata"
The name of the member.
"MX Bank"
The API URI path for the member.
"/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/members/MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The base fields for a user. Returned as the user companion on related resources such as members, accounts, and transactions, and as the foundation of full user responses.
Hide child attributes
Hide child attributes
The unique identifier for the user. Defined by MX.
"USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
The unique partner-defined identifier for the user.
"unique_id"
Additional information you can store about the user.
"some metadata"
The API URI path for the user.
"/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
Timestamps for when MX created and last updated the record. Returned as the mx_record companion on all resources persisted by MX. These describe the MX record, not the underlying resource at the institution.
Hide child attributes
Hide child attributes
The date and time the resource was created in MX Platform, represented in ISO 8601 format with a timestamp.
"2025-05-10T18:08:00Z"
The date and time the resource was last updated in MX Platform, represented in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2026-02-12T22:48:21Z"

